/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/vacancyvarcompelements.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/vacancyvarcompelements.xml',
'<View objectType="XXAS_IRC_VARIABLE_COMP_ELE" deleteAllowed="true" deleteLabel="{message.XXAS_RB_COM_DEL}" title="Vacancy variable compensation elements" defaultFormHandler="xxas_vacancy_pkg.commit_form_data">

  <CreateFields>
  
    <Hidden id="VACANCY_ID"/>
    <Combolist id="VARIABLE_COMP_CODE" label="Name" listProvider="LOOKUP_TYPE:IRC_VARIABLE_COMP_ELEMENT" required="true"/>
    
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/vacancyvarcompelements.xml');
END;
/
COMMIT;
EXIT;
